## com.google.debugging.sourcemap
Enum SourceMapFormat

    java.lang.Object
      java.lang.Enum<SourceMapFormat>
          com.google.debugging.sourcemap.SourceMapFormat

All Implemented Interfaces:
  Serializable, Comparable<SourceMapFormat>

    public enum SourceMapFormat

extends Enum<SourceMapFormat>

A list of currently support SourceMap format revisions.

Enum Constant Summary
`DEFAULT` The latest "stable" format
`V1` V1: The original Closure Inspector format
`V2` V2: A more compact format
`V3` V3: An even more compact format

Method Summary
`static SourceMapFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SourceMapFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final SourceMapFormat DEFAULT

  The latest "stable" format

### V1

    public static final SourceMapFormat V1

  V1: The original Closure Inspector format

### V2

    public static final SourceMapFormat V2

  V2: A more compact format

### V3

    public static final SourceMapFormat V3

  V3: An even more compact format

Method Detail

### values

    public static SourceMapFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SourceMapFormat c : SourceMapFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SourceMapFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null